Skip to main content
GET
/
deliver
/
persons
Get all persons
curl --request GET \
  --url https://api-sandbox.orum.io/deliver/persons \
  --header 'Authorization: Bearer <token>' \
  --header 'Orum-Version: <orum-version>'
import requests

url = "https://api-sandbox.orum.io/deliver/persons"

headers = {
    "Orum-Version": "<orum-version>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api-sandbox.orum.io/deliver/persons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "persons": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_reference_id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "middle_name": "<string>",
      "date_of_birth": "<string>",
      "addresses": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "address1": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "US",
          "zip5": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "address2": "<string>"
        }
      ],
      "contacts": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "value": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "status_reasons": [
        {
          "reason_code": "invalid_address",
          "reason_code_message": "Address submitted is a non-supported address type"
        }
      ],
      "closed_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ]
}
{
  "error_code": "<string>",
  "message": "<string>",
  "details": {}
}
{
  "error_code": "<string>",
  "message": "<string>",
  "details": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Query Parameters

index
integer
default:0

Index for paginated results

Required range: x >= 0
size
integer
default:100

Max number of results to return

Required range: 0 <= x <= 500
customer_reference_id
string

Filter by customer reference id Unique reference id for the customer (business or person) resource. Generated by you.

Required string length: 1 - 255
status
enum<string>[]

Filter by customer statuses (multiple allowed)

Status of person in Orum system.

Available options:
created,
verified,
rejected,
restricted,
closed
start_time
string<date-time>

Filter results created at or after this time

end_time
string<date-time>

Filter results created before this time

first_name
string

The first name to filter persons by (case-insensitive, exact match).

last_name
string

The last name to filter persons by (case-insensitive, exact match).

account_number
string

Filter by account number Account number for US bank account. 4 to 17 digits are acceptable.

Pattern: ^(?:\d-{0,1}){3,16}\d$
id
string<uuid>

Filter results by the person id

Response

200 response.

persons
object[]
required

List of person objects.